For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Scout DocsAccess Scout
API & SDK
API & SDK
  • Endpoints
      • GETGet all syncs
      • POSTCreate a source sync to execute
      • GETGet a sync by ID.
      • PUTUpdate a source sync
      • DELDelete a sync
      • POSTSync a source.
LogoLogo
Scout DocsAccess Scout
EndpointsSyncs

Create a source sync to execute

Beta
POST
https://api.scoutos.com/v2/syncs
POST
/v2/syncs
$curl -X POST https://api.scoutos.com/v2/syncs \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "sync_config": {
> "source_settings": {
> "source_archetype_id": "web_crawler_01",
> "sitemap_url": "https://example.com/sitemap.xml"
> },
> "destination": {
> "collection_id": "col_12345",
> "table_id": "tbl_67890"
> },
> "mapping": {}
> }
>}'
1{
2 "data": {
3 "sync_config": {
4 "source_settings": {
5 "source_archetype_id": "web_crawler_01",
6 "sitemap_url": "https://example.com/sitemap.xml",
7 "crawler_settings": {
8 "scraper": {
9 "scraper_type": "http"
10 },
11 "text_extractor": {
12 "text_extractor_type": "readability"
13 },
14 "allow": "/articles/",
15 "deny": "/private/",
16 "strip": "utm_source,utm_medium",
17 "strip_urls": true,
18 "allowed_domains": "example.com,sub.example.com",
19 "user_agent_header": "Mozilla/5.0 (compatible; ExampleBot/1.0; +http://example.com/bot)",
20 "max_depth": 5,
21 "max_page_count": 1000,
22 "exclude_before_lastmod_date": "2023-01-01T00:00:00Z"
23 },
24 "mode": "merge"
25 },
26 "destination": {
27 "destination_type": "collections.v2",
28 "collection_id": "col_12345",
29 "table_id": "tbl_67890"
30 },
31 "mapping": {
32 "fields": [
33 {}
34 ]
35 },
36 "schedule": {
37 "frequency": "daily",
38 "enabled": true
39 }
40 },
41 "sync_id": "sync_98765",
42 "last_updated_at": "2024-01-15T09:30:00Z",
43 "created_at": "2024-01-15T09:30:00Z",
44 "created_by": {
45 "type": "user",
46 "details": {
47 "api_key": {}
48 }
49 },
50 "last_updated_by": {
51 "type": "user",
52 "details": {
53 "api_key": {}
54 }
55 },
56 "trigger_id": "trigger_54321"
57 }
58}
Was this page helpful?
Previous

Get a sync by ID.

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
sync_configobjectRequired

Response

Successful Response
dataobject or null

Errors

422
Unprocessable Entity Error